Summary:	X.org video driver for Alliance ProMotion video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org do kart graficznych Alliance ProMotion
Name:		xorg-driver-video-apm
Version:	1.2.5
Release:	8
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-apm-%{version}.tar.bz2
# Source0-md5:	bce02d48c66932d082786167af22835a
Patch0:		build.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-apm < 1:7.0.0
Obsoletes:	XFree86-Alliance
Obsoletes:	XFree86-driver-apm < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Alliance ProMotion video adapters. It supports
PCI and ISA video cards based on the following chipsets: ProMotion
6420, ProMotion 6422, AT24, AT3D, AT25.

%description -l pl.UTF-8
Sterownik obrazu X.org do kart graficznych Alliance ProMotion.
Obsługuje karty PCI i ISA oparte na następujących układach: ProMotion
6420, ProMotion 6422, AT24, AT3D, AT25.

%prep
%setup -q -n xf86-video-apm-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/apm_drv.so
%{_mandir}/man4/apm.4*
%changelog
* Wed Mar 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-apm.git;a=log;h=auto/th/xorg-driver-video-apm-1.2.5-8

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d00ea3
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 925d207
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c3f4e7
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 6517708
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d07eb1e
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e35c86
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e79ec09
- release 2 (by relup.sh)

* Wed Jul 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 11d00d8
- updated to 1.2.5

* Mon May 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 712e135
- updated to 1.2.4

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 429a489
- release 5

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 020a51b
- release 4

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> e03c916
- xorg-driver-video virtual for video drivers
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 28400ec
- release 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> cba2b4c
- updated deps; rush ext is no more

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ed547c8
- up to 1.2.3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f5a43b
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> aed9ea8
- drop obsolete files

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8edb9c9
- up to 1.2.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5700532
- release 5

* Mon Oct 06 2008 shadzik <shadzik@pld-linux.org> a3d9364
- add patch0
- rel 4, build with xserver 1.5

